import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# planner roster get

Gets information about the specific Microsoft Planner Roster.

## Usage

```sh
m365 planner roster get [options]
```

## Options

```md definition-list
`--id <id>`
: ID of the Planner Roster.
```

<Global />

## Remarks

:::warning

This command is based on an API that is currently in preview and is subject to change once the API reached general availability.

:::

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions |
  |-----------------|-------------|
  | Microsoft Graph | Tasks.Read  |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions    |
  |-----------------|----------------|
  | Microsoft Graph | Tasks.Read.All |

  </TabItem>
</Tabs>

## Examples

Gets information about a specific Planner Roster.

```sh
m365 planner roster get --id 8bc07d47-c06f-41e1-8f00-1c113c8f6067
```

## Response

<Tabs>
  <TabItem value="JSON">

  ```json
  {
    "id": "8bc07d47-c06f-41e1-8f00-1c113c8f6067",
    "assignedSensitivityLabel": null
  }
  ```

  </TabItem>
  <TabItem value="Text">

  ```text
  assignedSensitivityLabel: null
  id                      : 8bc07d47-c06f-41e1-8f00-1c113c8f6067
  ```

  </TabItem>
  <TabItem value="CSV">

  ```csv
  id,assignedSensitivityLabel
  8bc07d47-c06f-41e1-8f00-1c113c8f6067,
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  # planner roster get --id "8bc07d47-c06f-41e1-8f00-1c113c8f6067"

  Date: 1/30/2023

  ## 8bc07d47-c06f-41e1-8f00-1c113c8f6067

  Property | Value
  ---------|-------
  id | 8bc07d47-c06f-41e1-8f00-1c113c8f6067
  assignedSensitivityLabel | null
  ```

  </TabItem>
</Tabs>

## More information

Rosters are a new type of container for Microsoft Planner plans. This enables users to create a Planner plan without the need to create a new Microsoft 365 group (with a mailbox, SharePoint site, ...). Access to Roster-contained plans is controlled by the members on the Roster. A Planner Roster can contain only 1 plan.
